Liblinphone: linphone::Transports Class Reference

Liblinphone 5.0.0

Public Member Functions | List of all members
linphone::Transports Class Reference

SIP transports & ports configuration object. More...

`#include <transports.hh>`

Inheritance diagram for linphone::Transports:

## Public Member Functions
| Transports (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphoneTransports * | cPtr ()
LINPHONECXX_PUBLIC int | getDtlsPort () const
| Gets the DTLS port in the Transports object. More...
LINPHONECXX_PUBLIC void | setDtlsPort (int port)
| Sets the DTLS port in the Transports object. More...
LINPHONECXX_PUBLIC int | getTcpPort () const
| Gets the TCP port in the Transports object. More...
LINPHONECXX_PUBLIC void | setTcpPort (int port)
| Sets the TCP port in the Transports object. More...
LINPHONECXX_PUBLIC int | getTlsPort () const
| Gets the TLS port in the Transports object. More...
LINPHONECXX_PUBLIC void | setTlsPort (int port)
| Sets the TLS port in the Transports object. More...
LINPHONECXX_PUBLIC int | getUdpPort () const
| Gets the UDP port in the Transports object. More...
LINPHONECXX_PUBLIC void | setUdpPort (int port)
| Sets the UDP port in the Transports object. More...

## Detailed Description

SIP transports & ports configuration object.

Indicates which transport among UDP, TCP, TLS and DTLS should be enabled and if so on which port to listen. You can use special values like LC_SIP_TRANSPORT_DISABLED (0), LC_SIP_TRANSPORT_RANDOM (-1) and LC_SIP_TRANSPORT_DONTBIND (-2). Once configuration is complete, use Core::setTransports() to apply it. This will be saved in configuration file so you don't have to do it each time the Core starts.

## Member Function Documentation

## ◆ getDtlsPort()

LINPHONECXX_PUBLIC int linphone::Transports::getDtlsPort | ( |  | ) | const

Gets the DTLS port in the Transports object.

Returns
  the DTLS port

## ◆ getTcpPort()

LINPHONECXX_PUBLIC int linphone::Transports::getTcpPort | ( |  | ) | const

Gets the TCP port in the Transports object.

Returns
  the TCP port

## ◆ getTlsPort()

LINPHONECXX_PUBLIC int linphone::Transports::getTlsPort | ( |  | ) | const

Gets the TLS port in the Transports object.

Returns
  the TLS port

## ◆ getUdpPort()

LINPHONECXX_PUBLIC int linphone::Transports::getUdpPort | ( |  | ) | const

Gets the UDP port in the Transports object.

Returns
  the UDP port

## ◆ setDtlsPort()

LINPHONECXX_PUBLIC void linphone::Transports::setDtlsPort | ( | int | port | ) |

Sets the DTLS port in the Transports object.

Parameters

  port | the DTLS port

## ◆ setTcpPort()

LINPHONECXX_PUBLIC void linphone::Transports::setTcpPort | ( | int | port | ) |

Sets the TCP port in the Transports object.

Parameters

  port | the TCP port

## ◆ setTlsPort()

LINPHONECXX_PUBLIC void linphone::Transports::setTlsPort | ( | int | port | ) |

Sets the TLS port in the Transports object.

Parameters

  port | the TLS port

## ◆ setUdpPort()

LINPHONECXX_PUBLIC void linphone::Transports::setUdpPort | ( | int | port | ) |

Sets the UDP port in the Transports object.

Parameters

  port | the UDP port

The documentation for this class was generated from the following file:

- transports.hh